org.apache.uima.cas.impl

## Enum BinaryCasSerDes6.CompressLevel

- java.lang.Object
- - java.lang.Enum<BinaryCasSerDes6.CompressLevel>
  - - org.apache.uima.cas.impl.BinaryCasSerDes6.CompressLevel

- All Implemented Interfaces:
    Serializable, Comparable<BinaryCasSerDes6.CompressLevel>
  Enclosing class:
    BinaryCasSerDes6

      public static enum BinaryCasSerDes6.CompressLevel
      extends Enum<BinaryCasSerDes6.CompressLevel>

  Compression alternatives

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Best`
    `Default`
    `Fast`
    `None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `lvl`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinaryCasSerDes6.CompressLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BinaryCasSerDes6.CompressLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final BinaryCasSerDes6.CompressLevel None

    - #### Fast

          public static final BinaryCasSerDes6.CompressLevel Fast

    - #### Default

          public static final BinaryCasSerDes6.CompressLevel Default

    - #### Best

          public static final BinaryCasSerDes6.CompressLevel Best

  - ### Field Detail

    - #### lvl

          public final int lvl

  - ### Method Detail

    - #### values

          public static BinaryCasSerDes6.CompressLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryCasSerDes6.CompressLevel c : BinaryCasSerDes6.CompressLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryCasSerDes6.CompressLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.